Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.scala
Class ScalaCompile

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.SourceTask
                      org.gradle.api.tasks.compile.Compile
                          org.gradle.api.tasks.scala.ScalaCompile

All Implemented Interfaces:
  groovy.lang.GroovyObject, java.lang.Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, PatternFilterable

    public class ScalaCompile

extends Compile

Task to perform scala compilation.

Field Summary

Fields inherited from class org.gradle.api.tasks.compile.Compile
`antCompile`

Fields inherited from interface org.gradle.api.Task
`AUTOSKIP_PROPERTY_PREFIX, TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`ScalaCompile()`

Method Summary
`protected void` | `compile()`
`org.gradle.api.tasks.scala.AntScalaCompile` | `getAntScalaCompile()`
`FileTree` | `getJavaSrc()` Returns the Java source for this task.
`org.gradle.api.tasks.scala.ScalaCompileOptions` | `getScalaCompileOptions()`
`void` | `setAntScalaCompile(org.gradle.api.tasks.scala.AntScalaCompile antScalaCompile)`
`void` | `setScalaCompileOptions(org.gradle.api.tasks.scala.ScalaCompileOptions scalaCompileOptions)`

Methods inherited from class org.gradle.api.tasks.compile.Compile
`getClasspath, getDependencyCacheDir, getDestinationDir, getOptions, getSourceCompatibility, getTargetCompatibility, setAntCompile, setClasspath, setDependencyCacheDir, setDestinationDir, setOptions, setSourceCompatibility, setTargetCompatibility`

Methods inherited from class org.gradle.api.tasks.SourceTask
`exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, setExcludes, setIncludes, setSource, source`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.DefaultTask
`configure, doFirst, doLast, leftShift`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getOutput, getPath, getProject, getStandardOutputCapture, getTaskDependencies, hashCode, hasProperty, injectIntoNextInstance, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setOutputHandler, setProject, setProperty, setStandardOutputCapture, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

Constructor Detail

### ScalaCompile

    public ScalaCompile()

Method Detail

### getAntScalaCompile

    public org.gradle.api.tasks.scala.AntScalaCompile getAntScalaCompile()

### setAntScalaCompile

    public void setAntScalaCompile(org.gradle.api.tasks.scala.AntScalaCompile antScalaCompile)

### getScalaCompileOptions

    public org.gradle.api.tasks.scala.ScalaCompileOptions getScalaCompileOptions()

### setScalaCompileOptions

    public void setScalaCompileOptions(org.gradle.api.tasks.scala.ScalaCompileOptions scalaCompileOptions)

### getJavaSrc

    public FileTree getJavaSrc()

  Returns the Java source for this task.

  Returns:
    The Java source.

### compile

    protected void compile()

  Overrides:
    `compile` in class `Compile`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD